aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-ldap/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <francesco.colista@gmail.com>2012-10-27 18:00:31 +0000
committerFrancesco Colista <francesco.colista@gmail.com>2012-10-27 18:00:31 +0000
commite7b49bca29343ff4aa7c3eabcca049f34ab38d8d (patch)
treede7620c7d12e3fbb8b6d3bfddfc2f66d16c9cd61 /testing/perl-ldap/APKBUILD
parentca70354ea0269513d7f714e42b874ad72d00cbf7 (diff)
downloadaports-e7b49bca29343ff4aa7c3eabcca049f34ab38d8d.tar.gz
aports-e7b49bca29343ff4aa7c3eabcca049f34ab38d8d.tar.bz2
aports-e7b49bca29343ff4aa7c3eabcca049f34ab38d8d.tar.xz
testing/perl-ldap: new aport
Diffstat (limited to 'testing/perl-ldap/APKBUILD')
-rw-r--r--testing/perl-ldap/APKBUILD38
1 files changed, 38 insertions, 0 deletions
diff --git a/testing/perl-ldap/APKBUILD b/testing/perl-ldap/APKBUILD
new file mode 100644
index 0000000000..bda4eb50b2
--- /dev/null
+++ b/testing/perl-ldap/APKBUILD
@@ -0,0 +1,38 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=perl-ldap
+pkgver=0.49
+pkgrel=0
+pkgdesc="LDAP client library"
+url="http://search.cpan.org/dist/perl-ldap/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-convert-asn1"
+cpanmakedepends=" "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/MA/MARSCHAP/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="191f33fdd3b70156699f4620d8d10cca perl-ldap-0.49.tar.gz"